package net.northking.cctp.scriptcase.feign.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.List;
import java.util.Map;

@JsonSerialize
@ApiModel(description = "数据集内容实体")
public class DataSetsSaveDto implements Serializable {
    /**
     * 数据集id<br>
     */
    @ApiModelProperty("数据集id")
    @Size(max = 32, message="数据集id-dataSetId: 数据长度不能 > 32" )
    @NotBlank(message = "数据集id不能为空")
    private String dataSetId;

    @ApiModelProperty("环境id")
    private String envId;

    @ApiModelProperty("环境名称")
    private String envName;

    @ApiModelProperty("数据表头")
    private List<DataHeaderDto> tableHeader;

    @ApiModelProperty("数据内容 key-列名 value-该列数据信息列表")
    private Map<String,List<DataContentDto>> tableContent;

    public String getEnvId() {
        return envId;
    }

    public void setEnvId(String envId) {
        this.envId = envId;
    }

    public String getEnvName() {
        return envName;
    }

    public void setEnvName(String envName) {
        this.envName = envName;
    }

    public String getDataSetId() {
        return dataSetId;
    }

    public void setDataSetId(String dataSetId) {
        this.dataSetId = dataSetId;
    }

    public List<DataHeaderDto> getTableHeader() {
        return tableHeader;
    }

    public void setTableHeader(List<DataHeaderDto> tableHeader) {
        this.tableHeader = tableHeader;
    }

    public Map<String, List<DataContentDto>> getTableContent() {
        return tableContent;
    }

    public void setTableContent(Map<String, List<DataContentDto>> tableContent) {
        this.tableContent = tableContent;
    }
}
